From 67bbd7218610e08b872977364071ee16c7c07f76 Mon Sep 17 00:00:00 2001
From: Alex Macdonald <almacdon@redhat.com>
Date: Oct 09 2018 15:23:18 +0000
Subject: [PATCH 3/3] update jmc and jmc-core files for newest changeset


---

diff --git a/jmc-core/generate_jmc_core_tarball.sh b/jmc-core/generate_jmc_core_tarball.sh
index 846e425..9962fce 100644
--- a/jmc-core/generate_jmc_core_tarball.sh
+++ b/jmc-core/generate_jmc_core_tarball.sh
@@ -1,8 +1,8 @@
 #!/bin/sh
 
-wget http://hg.openjdk.java.net/jmc/jmc/archive/9ebfa2888b8f.tar.gz
-tar xzf 9ebfa2888b8f.tar.gz
-rm 9ebfa2888b8f.tar.gz
-cp -r jmc-9ebfa2888b8f/core/ jmc-core-7.0.0/
+wget http://hg.openjdk.java.net/jmc/jmc/archive/ba12bfb55277.tar.gz
+tar xzf ba12bfb55277.tar.gz
+rm ba12bfb55277.tar.gz
+cp -r jmc-ba12bfb55277/core/ jmc-core-7.0.0/
 tar czf jmc-core-7.0.0.tar.gz jmc-core-7.0.0/
-rm -r jmc-core-7.0.0/ jmc-9ebfa2888b8f
\ No newline at end of file
+rm -r jmc-core-7.0.0/ jmc-ba12bfb55277
\ No newline at end of file
diff --git a/jmc-core/jmc-core.spec b/jmc-core/jmc-core.spec
index 48c5cd2..03b6edf 100644
--- a/jmc-core/jmc-core.spec
+++ b/jmc-core/jmc-core.spec
@@ -6,10 +6,10 @@ Summary:	Java Mission Control is a profiling and diagnostics tool
 License:	UPL
 URL:		http://openjdk.java.net/projects/jmc/
 
-# original source: http://hg.openjdk.java.net/jmc/jmc/archive/9ebfa2888b8f.tar.gz
-#   wget http://hg.openjdk.java.net/jmc/jmc/archive/9ebfa2888b8f.tar.gz
-#   tar xzf 9ebfa2888b8f.tar.gz
-#   cp -r jmc-9ebfa2888b8f/core/ jmc-core-7.0.0/
+# original source: http://hg.openjdk.java.net/jmc/jmc/archive/ba12bfb55277.tar.gz
+#   wget http://hg.openjdk.java.net/jmc/jmc/archive/ba12bfb55277.tar.gz
+#   tar xzf ba12bfb55277.tar.gz
+#   cp -r jmc-ba12bfb55277/core/ jmc-core-7.0.0/
 #   tar czf jmc-core-7.0.0.tar.gz jmc-core-7.0.0/
 Source0:	jmc-core-7.0.0.tar.gz
 
diff --git a/jmc/generate_jmc_tarball.sh b/jmc/generate_jmc_tarball.sh
index d5e954f..13f0eba 100644
--- a/jmc/generate_jmc_tarball.sh
+++ b/jmc/generate_jmc_tarball.sh
@@ -1,8 +1,8 @@
 #!/bin/sh
 
-wget http://hg.openjdk.java.net/jmc/jmc/archive/tip.tar.gz
-tar xzf tip.tar.gz
-rm tip.tar.gz
-mv jmc-tip/ jmc-7.0.0/
+wget http://hg.openjdk.java.net/jmc/jmc/archive/ba12bfb55277.tar.gz
+tar xzf ba12bfb55277.tar.gz
+rm ba12bfb55277.tar.gz
+mv jmc-ba12bfb55277/ jmc-7.0.0/
 tar czf jmc-7.0.0.tar.gz jmc-7.0.0/
 rm -r jmc-7.0.0/core/

